> For the complete documentation index, see [llms.txt](https://docs.iproyal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iproyal.com/cn/gong-ju/wang-luo-jie-suo-qi/di-li-wei-zhi-ding-wei.md).

# 地理位置定位

您可以指定访问目标网站的国家、城市或美国的州府。

### 国家定向

您可以通过在代理凭证的密码后添加`_country-`来启用国家级定向。

美国的使用示例：

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us -L https://ipv4.icanhazip.com
```

该参数的值为两位字母的国家/地区代码（采用[ISO 3166-1 alpha-2格式](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)）。

您可以同时设置多个国家。

### 城市定向

对于城市级定向，请在代理凭证的密码后添加`_city-`键，其值应为城市名称。

{% hint style="info" %}
注意：当定向特定城市时，必须先使用“\_country-”键指定国家，因为多个国家可能存在同名城市。
{% endhint %}

示例：

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us_city-chicago -L https://ipv4.icanhazip.com
```

### 州府定向

此功能仅支持美国的州府定向。若要定向特定州府，请在代理凭证的密码后添加`_state-`键，其值应为州府名称。

示例：

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us_state-iowa -L https://ipv4.icanhazip.com
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iproyal.com/cn/gong-ju/wang-luo-jie-suo-qi/di-li-wei-zhi-ding-wei.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
